Subject: IANA and timezones.

From: Doug Royer <[email-masked]>
Date: Tue, 01 Feb 2000 15:15:09 -0800

As I stated in DC, I have resumed the timezone database work.

I have ftp'd the latest timezone information and I can now
convert the Olson database into VTIMEZONE information.

Soon I am going to need some help checking the accuracy
of the conversion. If you would like to help, please
email me, I have setup a local alias we can use for
checking the output and debugging the code, prior to releasing
all of this to the WG.

It is running on the following UNIX platforms:

	SunOS, HP-UX, IRIX, AIX, OSF1

If someone with experience with any other OS would like
to make sure the code compiles on their platform - email
me and maybe we can get it working on more OS's.

I'll have the original database, and a conversion tool that
(including source code) that is derived from the tools provided
with the Olson database. The source code and input files will
be available for FTP download.

The output is rfc2445.txt compliant VTIMEZONE data.

I have heard that IANA has volunteered to host the VTIMEZONE
database. And they have assumed the responsibility of determining
how to update the information and how to determine the responsible
source for the information.

Attached is an HTML document included with the source:

Sources for Time Zone and Daylight Saving Time Data

@(#)tz-link.htm 7.20

Paul Eggert writes:

The public-domain tz database contains code and data
that represent the history of local time
for many representative locations around the globe.
It is updated periodically to reflect changes made by political bodies
to UTC offsets and daylight-saving rules.
This database (often called zoneinfo)
is used by several implementations,
including BSD, DJGPP, GNU/Linux, HP-UX, IRIX, Solaris, and UnixWare.
In the tz database's
FTP distribution,
the code is in the file tzcodeC.tar.gz,
where C is the code's version;
similarly, the data are in tzdataD.tar.gz,
where D is the data's version.

The GNU C Library
has an independent, thread-safe implementation of
a time zone file reader that is compatible with zoneinfo.
This library is freely available under the GNU Library General Public License,
and is widely used in GNU/Linux systems.

The Web has several other sources for time zone and daylight saving time data.
Here are some recent links that may be of interest.

Date and Time Gateway
is a text-based source for tables of current time throughout the world.
Its point-and-click interface accesses a recent version of the tz data.

HyperCard
time zones calculator is a HyperCard interface to a
recent version of the tz data.

Astrology / Astrologie ->
Astrodienst Atlas Database is Astrodienst's Web version of Shanks's
excellent time zone history atlases published by Astro Communications Services.

WORLDTIME: interactive atlas,
time info, public holidays
contains information on local time, sunrise and sunset,
and public holidays in several hundred cities around the world.

Local Times Around the World
is a text-based system containing links to local time servers
throughout the world; though the coverage is limited,
the live data provide a nice way to check one's tables.

World Time Zones
contains US Naval Observatory data, used as the source
for the usno* files.

The United States Central Intelligence Agency publishes a
time
zone map; the

Perry-Castañeda Library Map Collection
of the University of Texas at Austin has on-line copies of
recent editions.
The pictorial quality is good,
but the maps do not indicate summer time,
and parts of the data are a few years out of date.

Worldtimezone.com
has several fancy time zone maps; it covers Russia particularly well.
The maps' pictorial quality is not quite as good as the CIA's
and (as usual with maps) the maps are not quite up to date.

The
Time of Internet
contains good descriptions of Time Zones and daylight saving time,
with diagrams.
The time zone map is out of date, however.

A
Few Facts Concerning GMT, UT, and the RGO
answers questions like ``What is the difference between GMT and UTC?''

Astronomical
Times explains more abstruse astronomical time scales like TT, TCG,
and TDB.

Earth
and Its Reference Systems
briefly explains interplanetary space flight timekeeping.

Daylight
Saving Time -- History, rationale, laws and dates
is a good history of DST.

Yahoo! - Science:Measurements and Units:Time:Time Zones
is where the famous Internet indexing service Yahoo! collects its time zone
info.

The International Air Transport Association
publishes the IATA Standard Schedules Information Manual (SSIM),
which gives current time zone rules for
all the airports served by commercial aviation.

Bulletins
of IERS contains official publications of the
International Earth Rotation Service, the committee that decides
when leap seconds occur.

-- [email-masked]
(2000-01-10)

Arthur David Olson writes:

A good source of information about
ISO 8601 seems to be
International
Standard Date and Time Notation
maintained by Markus Kuhn.

-- [email-masked]
(1996-01-04)